ICU 60.2 60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
icu::number::NumberFormatter Class Referencefinal

See the main description in numberformatter.h for documentation and examples. More...

`#include <numberformatter.h>`

## Public Member Functions
| NumberFormatter ()=delete
| Use factory methods instead of the constructor to create a NumberFormatter. More...

## Static Public Member Functions
static UnlocalizedNumberFormatter | with ()
| Call this method at the beginning of a NumberFormatter fluent chain in which the locale is not currently known at the call site. More...
static LocalizedNumberFormatter | withLocale (const Locale &locale)
| Call this method at the beginning of a NumberFormatter fluent chain in which the locale is known at the call site. More...

## Detailed Description

See the main description in numberformatter.h for documentation and examples.

Draft:
  This API may be changed in the future versions and was introduced in ICU 60

Definition at line 1962 of file numberformatter.h.

## Constructor & Destructor Documentation

icu::number::NumberFormatter::NumberFormatter | ( |  | ) |
| delete

Use factory methods instead of the constructor to create a NumberFormatter.

Draft:
  This API may be changed in the future versions and was introduced in ICU 60

## Member Function Documentation

static UnlocalizedNumberFormatter icu::number::NumberFormatter::with | ( |  | ) |
| static

Call this method at the beginning of a NumberFormatter fluent chain in which the locale is not currently known at the call site.

Returns
  An UnlocalizedNumberFormatter, to be used for chaining.

Draft:
  This API may be changed in the future versions and was introduced in ICU 60

static LocalizedNumberFormatter icu::number::NumberFormatter::withLocale | ( | const Locale & | locale | ) |
| static

Call this method at the beginning of a NumberFormatter fluent chain in which the locale is known at the call site.

Parameters

  locale | The locale from which to load formats and symbols for number formatting.

Returns
  A LocalizedNumberFormatter, to be used for chaining.

Draft:
  This API may be changed in the future versions and was introduced in ICU 60

The documentation for this class was generated from the following file:

- numberformatter.h